|  | Home · All Classes · Modules

# QSql.ParamType Class Reference
[QtSql module]

### Methods

- __init__ (self, ParamType)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ParamType __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ParamType f)
- ParamType __iand__ (self, int mask)
- int __int__ (self)
- ParamType __invert__ (self)
- ParamType __ior__ (self, ParamType f)
- ParamType __ixor__ (self, ParamType f)
- bool __ne__ (self, ParamType f)
- ParamType __or__ (self, ParamType f)
- ParamType __or__ (self, int f)
- ParamType __xor__ (self, ParamType f)
- ParamType __xor__ (self, int f)

## Detailed Description

ParamTypeFlag may be used whenever ParamType is expected.

## Method Documentation

### ParamType.__init__ (self, ParamType)

### ParamType.__init__ (self, int)

### ParamType.__init__ (self)

### ParamType ParamType.__and__ (self, int mask)

### int ParamType.__bool__ (self)

### bool ParamType.__eq__ (self, ParamType f)

### ParamType ParamType.__iand__ (self, int mask)

### int ParamType.__int__ (self)

### ParamType ParamType.__invert__ (self)

### ParamType ParamType.__ior__ (self, ParamType f)

### ParamType ParamType.__ixor__ (self, ParamType f)

### bool ParamType.__ne__ (self, ParamType f)

### ParamType ParamType.__or__ (self, ParamType f)

### ParamType ParamType.__or__ (self, int f)

### ParamType ParamType.__xor__ (self, ParamType f)

### ParamType ParamType.__xor__ (self, int f)